aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gpm/gpm.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-12-02 16:02:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-12-02 16:02:45 +0000
commit1fef5f174d8d120fa3be64c10d6497f291d53e15 (patch)
tree5523e8c4d62a369023d89acfce62d96bba407754 /testing/gpm/gpm.initd
parent67884f9f2c007706edbf83c1060d4211cd5adf32 (diff)
downloadaports-1fef5f174d8d120fa3be64c10d6497f291d53e15.tar.bz2
aports-1fef5f174d8d120fa3be64c10d6497f291d53e15.tar.xz
testing/gpm: new aport
A mouse server for the console http://www.nico.schottelius.org/software/gpm/
Diffstat (limited to 'testing/gpm/gpm.initd')
-rw-r--r--testing/gpm/gpm.initd28
1 files changed, 28 insertions, 0 deletions
diff --git a/testing/gpm/gpm.initd b/testing/gpm/gpm.initd
new file mode 100644
index 0000000000..207b4c046c
--- /dev/null
+++ b/testing/gpm/gpm.initd
@@ -0,0 +1,28 @@
+#!/sbin/runscript
+
+# gpm init.d file for alpine linux.
+
+name=gpm
+daemon=/usr/sbin/${name}
+
+depend() {
+ after localmount
+ use hotplug logger
+}
+
+start() {
+ ebegin "Starting ${name}"
+ start-stop-daemon --start --quiet \
+ --pidfile /var/run/${name}.pid \
+ --exec ${daemon} -- ${gpm_opts}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${name}"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/${name}.pid \
+ --exec ${daemon}
+ eend $?
+}
+